Package org.silverpeas.components.blog.model

## Class Archive

- java.lang.Object
- - org.silverpeas.components.blog.model.Archive

- All Implemented Interfaces:
    `Serializable`

      public class Archive
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Archive()` |
    `Archive​(String name, String beginningDate, String endDate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object arg0)` |
    `String` | `getBeginDate()` |
    `String` | `getEndDate()` |
    `String` | `getMonthId()` |
    `String` | `getName()` |
    `String` | `getYear()` |
    `int` | `hashCode()` |
    `void` | `setBeginDate​(String beginDate)` |
    `void` | `setEndDate​(String endDate)` |
    `void` | `setMonthId​(String monthId)` |
    `void` | `setName​(String name)` |
    `void` | `setYear​(String year)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Archive

          public Archive()

    - #### Archive

          public Archive​(String name,
                         String beginningDate,
                         String endDate)

  - ### Method Detail

    - #### getBeginDate

          public String getBeginDate()

    - #### setBeginDate

          public void setBeginDate​(String beginDate)

    - #### getEndDate

          public String getEndDate()

    - #### setEndDate

          public void setEndDate​(String endDate)

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### getYear

          public String getYear()

    - #### setYear

          public void setYear​(String year)

    - #### getMonthId

          public String getMonthId()

    - #### setMonthId

          public void setMonthId​(String monthId)

    - #### equals

          public boolean equals​(Object arg0)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`